Welcome to the Forum Archive!

Years of conversation fill a ton of digital pages, and we've kept all of it accessible to browse or copy over. Whether you're looking for reveal articles for older champions, or the first time that Rammus rolled into an "OK" thread, or anything in between, you can find it here. When you're finished, check out the boards to join in the latest League of Legends discussions.

GO TO BOARDS


League of Legends on Mac – In PBE Testing Now!

Comment below rating threshold, click here to show it.

R3NIK

Member

01-23-2013

Cant wait to check it out. I've been loving the work the guys on boompje have been doing with iLoL. Hope they get some future Riot swag for all help they've done to us OSX users.
Will there be official SysReqs released?


Comment below rating threshold, click here to show it.

Erfolg

Senior Member

01-23-2013

Quote:
SadeTheSwiss:
Let them worry about their current project and fix the imperfections it may have before it even thinks about spending a bunch of their time and effort on making a version on a OS that like nobody uses lol

I guess you're in your own little world but if you look at everything going on Linux is getting quite big - especially with Steam having a native version for Linux now. The only thing keeping many people - including myself from switching to Linux as a main OS is League not having a native version. There is definitely a huge desire for a Linux native version.


Comment below rating threshold, click here to show it.

Duotriophobic

Member

01-23-2013

I agree. Is there going to be any openings for PBE enrollment soon? I'm everything Mac, and have been using the iLoL client for quite some time. I'd love to give some feedback to Riot, but I can't enroll for PBE. Should we email support or something? Maybe it can be a ninja enrollment or something?


Comment below rating threshold, click here to show it.

We Are As One

Senior Member

01-23-2013

Okay here is what I have found:

With Gatekeeper on (note Gatekeeper was introduced in 10.8, and later in 10.7.5) assuming the app was signed properly even if its not by an identified developer you should be able to right click it, open, then when you click open on the prompt you should be asked for admin auth. However you can't get here as the system suggests that "The app’s code does not match the original code that was signed." -- thats kinda a problem but could just be an error in signing it. Haven't really had time yet to figure out whats going on there, might just wait till they fix that part ;p

Okay so lets say you disabled Gatekeeper and you get to the install and it says the certificate is not trusted, well thats because you don't have the Worldwide Developer Relations certificate installed on your system, not surprising (Riot please test your beta on a clean install of the latests OS X w/o developer stuffs installed), go download it here, http://www.apple.com/certificateauthority/ -- click download certificate under worldwide developer relations header....just click the downloaded file and it will add it to your keychain (ONLY do this if you want to trust apps using that cert). Either way after installing the cert you will no longer get an error about Riot's cert being untrusted. That does give some peace of mind

anyways here is the checksum of the beta I downloaded, shasum -a 256 LoLPBEInstaller.pkg
1a7eaa2351067fee1f3e8c35dba8f3fbd39e34f6b482f9332d729d81d839c468

Oh and managed to setup a PBE account \o/
Thank you Riot for going forward with a mac client, thats native too \o/ This is really nice as I can finally ditch my ancient winXP VM
After this app leaves Beta, at least think about distributing it via the mac app store.

--- Update ---
Interesting Apple bug, The Gatekeeper KB http://support.apple.com/kb/HT5290 says that the damaged message will appear even if Gatekeeper is disabled at least thats how I read it...but it won't appear if you set Gatekeeper to anywhere.

At the bottom of that KB it suggests spctl and codesign cli tools...
https://developer.apple.com/library/mac/#documentation/security/Conceptual/CodeSigningGuide/Procedures/Procedures.html

spctl --list --label "Developer ID"
5[Developer ID] P0 allow execute
anchor apple generic and certificate 1[field.1.2.840.113635.100.6.2.6] exists and certificate leaf[field.1.2.840.113635.100.6.1.13] exists
6[Developer ID] P0 allow install
anchor apple generic and certificate 1[field.1.2.840.113635.100.6.2.6] exists and (certificate leaf[field.1.2.840.113635.100.6.1.14] or certificate leaf[field.1.2.840.113635.100.6.1.13])

^^ so looks like we can execute and install...not sure why the last part doesn't end with an "exists" though

spctl --assess --type install --verbose LoLPBEInstaller.pkg
LoLPBEInstaller.pkg: CSSMERR_TP_NOT_TRUSTED

^^ okay so here we run into problems, which leads us to, https://developer.apple.com/library/mac/#documentation/ToolsLanguages/Conceptual/OSXWorkflowGuide/CodeSigning/CodeSigning.html#//apple_ref/doc/uid/TP40011201-CH7-SW1/

if you scroll down it starts to talk about that error --- I realize this link is for iOS but I think it might be more helpful in resolving this problem, http://developer.apple.com/library/ios/#technotes/tn2250/_index.html#//apple_ref/doc/uid/DTS40009933-CH1-TNTAG19
^^ found that link here, http://stackoverflow.com/questions/1747857/cssmerr-tp-not-trusted-error

anyways hope that helps


UPDATE!! I figured it out, see my last post, http://na.leagueoflegends.com/board/showthread.php?p=33839385#post33839385


Comment below rating threshold, click here to show it.

Solo Top Laner

Member

01-23-2013

Quote:
Duotriophobic:
I agree. Is there going to be any openings for PBE enrollment soon? I'm everything Mac, and have been using the iLoL client for quite some time. I'd love to give some feedback to Riot, but I can't enroll for PBE. Should we email support or something? Maybe it can be a ninja enrollment or something?



It's open for the next 24 hours.

https://pbe.leagueoflegends.com/en/signup/index


Comment below rating threshold, click here to show it.

Solo Top Laner

Member

01-23-2013

Quote:
Patette:
How are accounts registered for the beta?



https://pbe.leagueoflegends.com/en/signup/index


Comment below rating threshold, click here to show it.

slazareth

Member

01-23-2013

I'd just like to say a huge, huge thanks to anyone at Riot that had a part in this. And to all of the iLoL team that tied us over while Riot took the time to work on this. It seems super solid on my end.

Played my first game on the PBE tonight with the client and at Max Res, Max Settings on a 27" 2010 iMac I was getting over 100fps. It looked incredible. Can't wait for you guys to push this live.

Any ETA on access for the live server?

Full specs for those interested:
2x 3.4 GHz Quad Core i7
16GB RAM
Radeon HD 6970M 1GB
OSX 10.8.2


Comment below rating threshold, click here to show it.

RTFMXecutor

Junior Member

01-23-2013

Wow, I cannot believe this is happening. I will definitely give feedback incase there are any problems. This will make riot more money, especially from me. Since there was never an official version I didn't want to dump money into something that could just disappear in a day.


Comment below rating threshold, click here to show it.

Solo Top Laner

Member

01-23-2013

Quote:
RTFMXecutor:
Wow, I cannot believe this is happening. I will definitely give feedback incase there are any problems. This will make riot more money, especially from me. Since there was never an official version I didn't want to dump money into something that could just disappear in a day.


Boompje made a wineskin version which ran just as good as the real one, and allowed for purchases. Still running it too even with the PBE Mac client Riot just created.


Comment below rating threshold, click here to show it.

ChampionMasterZ

Recruiter

01-23-2013

So glichy atm, fps is quite low on my macbook even with the settings set on very low. My mouse also feels super weird and sometimes skips. Just the minor bugs. The item pictures are a little fuzzy as well. Other than that, keep up the great work riot!